centos出现/lib/libz.so.1: no version information available解决方案

| | 2016/12/12 12:30 , mdy
Linux 服务器 , 评论(0) , 阅读(374) , Via 本站原创
在使用aapt时,出现了/lib/libz.so.1: no version information available 警告信息

之前zlib是用yum安装的,版本为1.2.3,网上查了一下,是版本的原因,安装新的版本就好了


从http://zlib.net/下载最新版本

wget http://zlib.net/zlib-1.2.8.tar.gz

tar zlib-1.2.8.tar.gz
cd zlib-1.2.8
./configure
make
make install

#覆盖原版本,可以先备份一下原版本

cp /usr/local/lib/libz.so.1.2.8 /lib/libz.so.1



OK,完成